Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class AntBuilderFacade

    java.lang.Object
      com.pmease.quickbuild.builder.AntBuilderFacade

All Implemented Interfaces:
  java.io.Serializable

public class AntBuilderFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for AntBuilder. Ant builder implementation

See Also:
  Serialized Form

Constructor Summary
`AntBuilderFacade()`

Method Summary
`java.lang.String` | `getAntExecutablePath()` OGNL: Specify command to run ant.
`java.util.Map` | `getBuildProperties()` OGNL: Define build properties here to pass into the ant build script.
`java.lang.String` | `getBuildScriptPath()` OGNL: The path for the Ant build script.
`java.lang.String` | `getBuildSuccessCondition()` OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful.
`java.lang.String` | `getDirToRunAnt()` Optionally specify the directory to run Ant in.
`java.util.Map` | `getEnvironments()` OGNL: Environment variables to set before running this builder.
`java.lang.String` | `getExtraAntOptions()` Optionally specify extra Ant options.
`java.lang.String` | `getName()` OGNL: Specify name of this builder
`java.lang.String` | `getTargets()` OGNL: Specify the targets to build.
`void` | `setAntExecutablePath(java.lang.String antExecutablePath)`
`void` | `setBuildProperties(java.util.Map buildProperties)`
`void` | `setBuildScriptPath(java.lang.String buildScriptPath)`
`void` | `setBuildSuccessCondition(java.lang.String buildSuccessCondition)`
`void` | `setDirToRunAnt(java.lang.String dirToRunAnt)`
`void` | `setEnvironments(java.util.Map environments)`
`void` | `setExtraAntOptions(java.lang.String extraAntOptions)`
`void` | `setName(java.lang.String name)`
`void` | `setTargets(java.lang.String targets)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntBuilderFacade

    public AntBuilderFacade()

Method Detail

### getAntExecutablePath

    public java.lang.String getAntExecutablePath()

  OGNL: Specify command to run ant. For example, C:\\apache-ant-1.6.2\\bin\\ant.bat
  NOTE: Command or arguement with spaces should be quoted.

### setAntExecutablePath

    public void setAntExecutablePath(java.lang.String antExecutablePath)

### getBuildScriptPath

    public java.lang.String getBuildScriptPath()

  OGNL: The path for the Ant build script. If this path is not an absolute path, it is assumed that it is relative to the current configuration's checkouts directory. Refer to the user's guide for details about how to write a new Ant build file or how to modify your existing Ant build script.

### setBuildScriptPath

    public void setBuildScriptPath(java.lang.String buildScriptPath)

### getTargets

    public java.lang.String getTargets()

  OGNL: Specify the targets to build. Use space to separate different targets (target name containing spaces should be quoted in order not to be interpreted as multiple targets). You can also use ${...} to pass variables to the target name. For example you can use ${name} to reference name of current configuration. For valid OGNL expressions in this context, please refer to the user's guide.

### setTargets

    public void setTargets(java.lang.String targets)

### getBuildProperties

    public java.util.Map getBuildProperties()

  OGNL: Define build properties here to pass into the ant build script. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  NOTE: Properties with blank value will be ignored.

### setBuildProperties

    public void setBuildProperties(java.util.Map buildProperties)

### getDirToRunAnt

    public java.lang.String getDirToRunAnt()

  Optionally specify the directory to run Ant in. If not specified, Ant will be executed in the directory containing the build script you specified.

### setDirToRunAnt

    public void setDirToRunAnt(java.lang.String dirToRunAnt)

### getExtraAntOptions

    public java.lang.String getExtraAntOptions()

  Optionally specify extra Ant options.

### setExtraAntOptions

    public void setExtraAntOptions(java.lang.String extraAntOptions)

### getBuildSuccessCondition

    public java.lang.String getBuildSuccessCondition()

  OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful. Refer to the user's guide for details.

### setBuildSuccessCondition

    public void setBuildSuccessCondition(java.lang.String buildSuccessCondition)

### getEnvironments

    public java.util.Map getEnvironments()

  OGNL: Environment variables to set before running this builder. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  TIPS: For Ant/Maven builder, you can define JAVA_HOME here to build with a different JDK.

### setEnvironments

    public void setEnvironments(java.util.Map environments)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this builder

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.